Skip to main content
POST
/
stakeholder_entities
/
search
Search Organizations
curl --request POST \
  --url https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "{account_id}",
  "query": "Greystar"
}
'
[
  {
    "id": 78012,
    "name": "Greystar Real Estate Partners",
    "type": "Property Manager",
    "image_url": "https://cdn.example.com/organizations/greystar.png"
  },
  {
    "id": 78109,
    "name": "Greystar Investment Group",
    "type": "Owner",
    "image_url": null
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_id
required

ApartmentIQ account ID used to set the request account context.

query
string
required

Search term.

entity_type
string

Optional stakeholder entity type. Invalid values return 400.

Response

Matching organizations.

id
integer
required

ApartmentIQ stakeholder entity ID.

name
string | null
required

Display name for the organization.

type
string | null
required

Organization type, such as owner or property manager.

image_url
string | null
required

Image or logo URL for the organization, when available.